[résolu] Faire des opérations sur le tableau sélectionné

vos questions concernant les API SolidWorks

[résolu] Faire des opérations sur le tableau sélectionné

Messagepar sriballet » Ven 24 Fév 2012, 16:05

Bonjour à tous,

Je bute sur un truc qui doit être tout simple, mais impossible de trouver mon info sur le forum.

Sur une mise en plan, j'ai plusieurs tableau (nomenclatures).
Je souhaiterais faire des opérations sur celui qui est sélectionné, par exemple :

MsgBox swTable.RowCount


Je m'y arrive qu'en passant par Set swTable = swView.GetFirstTableAnnotation, mais ça prend en compte uniquement mon 1er tableau, et non celui qui est sélectionné :(

Quelqu'un aurait une piste ?

Merci
@+ et bon week-end
Sylvain
Dernière édition par sriballet le Ven 24 Fév 2012, 16:24, édité 1 fois.
sriballet
Ewok SolidWorks
 
Messages: 22
Inscription: Jeu 03 Mar 2011, 11:20

Messagepar sriballet » Ven 24 Fév 2012, 16:23

Finalement je viens de trouver :

Dim swModel As SldWorks.ModelDoc2
Dim swDraw As SldWorks.DrawingDoc
Dim swTable As SldWorks.TableAnnotation

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swDraw = swModel
Set selMgr = swModel.SelectionManager

Set swTable = selMgr.GetSelectedObject(1)

msgbox swTable.RowCount


Bon week-end !
sriballet
Ewok SolidWorks
 
Messages: 22
Inscription: Jeu 03 Mar 2011, 11:20

Messagepar fred_ecai » Lun 27 Fév 2012, 8:48

bon désolé tu nous as devancé .... :wink:

j'utilise le
Code: Tout sélectionner
selMgr.GetSelectedObject(1)
également et ça marche très bien.

@+
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités

banniere

cron